classification
Title: Test pyexpat fails on Fedora 30
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, umoqnier, vstinner
Priority: normal Keywords:

Created on 2019-09-15 21:41 by umoqnier, last changed 2020-02-12 01:26 by vstinner. This issue is now closed.

Messages (5)
msg352497 - (view) Author: Diego Barriga (umoqnier) * Date: 2019-09-15 21:41
$ ./python -m test -j8 test_pyexpat
Run tests in parallel using 8 child processes
0:00:00 load avg: 0.66 [1/1/1] test_pyexpat failed
test test_pyexpat failed -- Traceback (most recent call last):
  File "/home/umoqnier/develop/python-dev/cpython/Lib/test/test_pyexpat.py", line 454, in test_exception
    parser.Parse(b"<a><b><c/></b></a>", True)
RuntimeError: a

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/umoqnier/develop/python-dev/cpython/Lib/test/test_pyexpat.py", line 470, in test_exception
    self.assertIn('call_with_frame("StartElement"', entries[1][3])
AssertionError: 'call_with_frame("StartElement"' not found in ''

== Tests result: FAILURE ==

1 test failed:
    test_pyexpat

Total duration: 211 ms
Tests result: FAILURE
msg352498 - (view) Author: Diego Barriga (umoqnier) * Date: 2019-09-15 21:41
$  cat /etc/os-release              
NAME=Fedora
VERSION="30 (Workstation Edition)"
ID=fedora
VERSION_ID=30
VERSION_CODENAME=""
PLATFORM_ID="platform:f30"
PRETTY_NAME="Fedora 30 (Workstation Edition)"
ANSI_COLOR="0;34"
LOGO=fedora-logo-icon
CPE_NAME="cpe:/o:fedoraproject:fedora:30"
HOME_URL="https://fedoraproject.org/"
DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/fedora/f30/system-administrators-guide/"
SUPPORT_URL="https://fedoraproject.org/wiki/Communicating_and_getting_help"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="Fedora"
REDHAT_BUGZILLA_PRODUCT_VERSION=30
REDHAT_SUPPORT_PRODUCT="Fedora"
REDHAT_SUPPORT_PRODUCT_VERSION=30
PRIVACY_POLICY_URL="https://fedoraproject.org/wiki/Legal:PrivacyPolicy"
VARIANT="Workstation Edition"
VARIANT_ID=workstation
msg352536 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2019-09-16 11:34
What's your expat version? Please post the output of "rpm -qa expat"
msg352641 - (view) Author: Diego Barriga (umoqnier) * Date: 2019-09-17 15:36
$ rpm -qa expat
expat-2.2.7-1.fc30.x86_64
expat-2.2.7-1.fc30.i686
msg361857 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-02-12 01:26
I'm unable to reproduce the issue on Fedora 31. We now have multiple Fedora buildbots (Stable and Rawhide flavors): test_pyexpat pass on all of them.

Maybe you didn't use "./configure --with-system-expat".

Reopen the issue if you can still reproduce it.
History
Date User Action Args
2020-02-12 01:26:27vstinnersetstatus: open -> closed

nosy: + vstinner
messages: + msg361857

resolution: fixed
stage: resolved
2019-09-17 15:36:18umoqniersetmessages: + msg352641
2019-09-16 11:34:47christian.heimessetnosy: + christian.heimes
messages: + msg352536
2019-09-15 21:41:46umoqniersetmessages: + msg352498
2019-09-15 21:41:16umoqniersettype: behavior
2019-09-15 21:41:09umoqniercreate